Skip to main content
`Ctrl`+`K`

# PetscLogStateGetNumStages

Get the number of registered stages in a logging state.

## Synopsis

    #include "petsclog.h"
    PetscErrorCode PetscLogStateGetNumStages(PetscLogState state, PetscInt *numStages)

Not collective

## Input Parameter

- state - a `PetscLogState`

## Output Parameter

- numStages - the number of registered `PetscLogStage`s

## See Also

Profiling, `PetscLogState`, `PetscLogStateStageRegister()`

## Level

developer

## Location

src/sys/logging/state/logstate.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages